<ng-container *ngIf="!!question">
  <div class="question-renderer" *ngIf="render$ | async">
    <ng-container *ngIf="!!question.children && !!childrenControl">
      <hr>
      <p class="mb-1">{{ question.body }}</p>
      <hr>

      <div class="row">
        <div class="col-md-6 child-question" *ngFor="let child of question.children" [ngClass]="{'mb-3': !!child.hint}">
          <bail-child-question-renderer
            [question]="question"
            [child]="child"
            [group]="childrenControl"
            [form]="form"
            [validator]="validator"
          ></bail-child-question-renderer>
        </div>
      </div>
    </ng-container>

    <ng-container *ngIf="!question.children && !!answerControl && (question.type !== 'upload' || !form.settingValues)">
      <bail-question-control
        [control]="answerControl"
        [question]="question"
      ></bail-question-control>
    </ng-container>
  </div>
</ng-container>
